class Site {

    String name
    String description = ""
    Boolean isActive = true

//     static hasMany = [inventoryStores: InventoryStore, systemSections: SystemSection]
    static hasMany = [sections: Section,
                                siteExtendedAttributes: SiteExtendedAttribute]

//     static belongsTo = []

    static constraints = {
        name(maxSize:50, unique:true, blank:false)
        description(maxSize:100)
        isActive()
    }

    String toString() {
        "${this.name}"
    }
}
